Bug 31895 - Clean up V8 bindings for CSSStyleDeclaration and CSSVariableDeclaration
Summary: Clean up V8 bindings for CSSStyleDeclaration and CSSVariableDeclaration
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore JavaScript (show other bugs)
Version: 528+ (Nightly build)
Hardware: Other OS X 10.5
: P2 Normal
Assignee: Erik Arvidsson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-11-25 17:04 PST by Erik Arvidsson
Modified: 2009-11-30 10:59 PST (History)
3 users (show)

See Also:


Attachments
Adds a setCollectionStringIndexedGetter and uses that instead of setCollectionStringOrNullIndexedGetter (3.66 KB, patch)
2009-11-25 17:15 PST, Erik Arvidsson
no flags Details | Formatted Diff | Diff
Patch (with ChangeLog this time) (4.60 KB, patch)
2009-11-26 11:39 PST, Erik Arvidsson
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Erik Arvidsson 2009-11-25 17:04:54 PST
These index getters never return a null string so to make things clearer do not use string-or-null index getter.
Comment 1 Erik Arvidsson 2009-11-25 17:15:09 PST
Created attachment 43880 [details]
Adds a setCollectionStringIndexedGetter and uses that instead of setCollectionStringOrNullIndexedGetter
Comment 2 Erik Arvidsson 2009-11-26 11:39:34 PST
Created attachment 43929 [details]
Patch (with ChangeLog this time)
Comment 3 Adam Barth 2009-11-26 23:45:06 PST
Comment on attachment 43929 [details]
Patch (with ChangeLog this time)

This looks reasonable.  Do we really use uint32_t?  I would have expected us to use unsigned.
Comment 4 Erik Arvidsson 2009-11-27 12:37:43 PST
uint32_t seems more correct to me since that is the requirement for array indeces in EcmaScript.
Comment 5 Adam Barth 2009-11-27 14:10:26 PST
I'll leave it up to your judgement.  Do we use uint32_t in other places where we deal with array indicies?
Comment 6 WebKit Commit Bot 2009-11-30 10:59:44 PST
Comment on attachment 43929 [details]
Patch (with ChangeLog this time)

Clearing flags on attachment: 43929

Committed r51501: <http://trac.webkit.org/changeset/51501>
Comment 7 WebKit Commit Bot 2009-11-30 10:59:50 PST
All reviewed patches have been landed.  Closing bug.